Name:           mate-sensors-applet
Version:        1.18.2
Release:        %mkrel 1
Summary:        MATE panel applet for hardware sensors
Group:          Graphical desktop/Mate
License:        GPLv2+
URL:            http://mate-desktop.org
Source0:        http://pub.mate-desktop.org/releases/1.8/%{name}-%version.tar.xz
Patch0:         sensors-applet-2.2.3-fix-linkage.patch
Source1:	32-org.mate.panel.applet.SensorsAppletFactory.service
Source2:	64-org.mate.panel.applet.SensorsAppletFactory.service
#--------------------------------------------
BuildRequires: mate-panel-devel
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gtk+3.0-devel
BuildRequires: %{_lib}lm_sensors4-devel
BuildRequires: %{_lib}notify-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}x11-devel
#--------------------------------------------
Requires: lm_sensors


%description
MATE Sensors Applet is an applet for the MATE Panel to display readings
from hardware sensors, including CPU and system temperatures, fan speeds
and voltage readings under Linux.
Can interface via the Linux kernel i2c modules, or the i8k kernel modules
Includes a simple, yet highly customization display and intuitive 
user-interface.
Alarms can be set for each sensor to notify the user once a certain value
has been reached, and can be configured to execute a given command at given
repeated intervals.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The mate-sensors-applet-devel package contains libraries and header files for
developing applications that use mate-sensors-applet.


%prep
%setup -qn %{name}-%version
%apply_patches

%build

%configure2_5x --with-gtk=3.0 \
    --disable-static \
    --disable-scrollkeeper \
    --enable-libnotify \
    --with-nvidia
    
   
%make

%install
rm -rf %{buildroot}
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/mate-sensors-applet/plugins
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name "*.la" -exec rm -rf {} ';'


%ifarch %{ix86}
install -m 0644 %SOURCE1 $RPM_BUILD_ROOT%{_datadir}/dbus-1/services/org.mate.panel.applet.SensorsAppletFactory.service
%else
install -m 0644 %SOURCE2 $RPM_BUILD_ROOT%{_datadir}/dbus-1/services/org.mate.panel.applet.SensorsAppletFactory.service
%endif

%find_lang %{name}


%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libexecdir}/mate-sensors-applet
%{_libdir}/libmate-sensors-applet-plugin.so.*
%{_libdir}/mate-sensors-applet/
%{_datadir}/mate-sensors-applet/ui/
%{_datadir}/help
%{_datadir}/pixmaps/mate-sensors-applet/
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/dbus-1/services/org.mate.panel.applet.SensorsAppletFactory.service
%{_datadir}/glib-2.0/schemas/org.mate.sensors-applet.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.sensors-applet.sensor.gschema.xml
%{_datadir}/mate-panel/applets/org.mate.applets.SensorsApplet.mate-panel-applet

%files devel
%defattr(-,root,root,-)
%{_libdir}/libmate-sensors-applet-plugin.so
%{_includedir}/mate-sensors-applet/

%clean
rm -rf  %{buildroot}

%changelog
* Mon Jul 17 2017 threepio <threepio> - 1.18.2-1uplos2017
- rebuild,update

* Sat May 13 2017 bb2 <bb2> - 1.18.2-1pclos2017
- new version

* Thu Apr 06 2017 bb2 <bb2> - 1.18.1-1pclos2017
- new version

* Tue Mar 14 2017 bb2 <bb2> - 1.18.0-1pclos2017
- new version

* Mon Feb 06 2017 bb <bb> - 1.16.1-3pclos2017
- binary moved so adjust package

* Mon Feb 06 2017 bb <bb> - 1.16.1-2pclos2017
- rebuild

* Mon Feb 06 2017 bb <bb> - 1.16.1-1pclos2017
- new version

* Wed Sep 21 2016 bb <bb> 1.16.0-1pclos2016
- update

* Fri Apr 08 2016 bb <bb> 1.14.0-1pclos2016
- update

* Wed Dec 02 2015 bb <bb> 1.12.1-1pclos2015
- update

* Fri Nov 06 2015 bb <bb> 1.12.0-1pclos2015
- update

* Thu Oct 15 2015 bb <bb> 1.10.3-3pclos2015
- rebuild for updates
